org.eclipse.net4j.db.ddl

## Interface IDBSchemaVisitor

- All Known Implementing Classes:
    IDBSchemaVisitor.Default

      public interface IDBSchemaVisitor

  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDBSchemaVisitor.Default`
    `static class` | `IDBSchemaVisitor.StopRecursion`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(IDBField field)`
    `void` | `visit(IDBIndex index)`
    `void` | `visit(IDBIndexField indexField)`
    `void` | `visit(IDBSchema schema)`
    `void` | `visit(IDBTable table)`

- - ### Method Detail

    - #### visit

          void visit(IDBSchema schema)

    - #### visit

          void visit(IDBTable table)

    - #### visit

          void visit(IDBField field)

    - #### visit

          void visit(IDBIndex index)

    - #### visit

          void visit(IDBIndexField indexField)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html